## r-cran-yaml 2.1.13

=== DESCRIPTION ===
Package: yaml
Type: Package
Title: Methods to convert R data to YAML and back
Version: 2.1.13
Suggests: testthat
Date: 2014-06-12
Author: Jeremy Stephens <jeremy.stephens@vanderbilt.edu>
Maintainer: Jeremy Stephens <jeremy.stephens@vanderbilt.edu>
License: BSD_3_clause + file LICENSE
Description: This package implements the libyaml YAML 1.1 parser and emitter (http://pyyaml.org/wiki/LibYAML) for R.
Packaged: 2014-06-12 18:04:44 UTC; stephej1
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-06-12 21:01:16

=== debian/changelog ===
r-cran-yaml (2.1.13-4) unstable; urgency=low

  * debian/control: fix typo in Depends: libyaml-0.2 -> libyaml-0-2.
  * debian/control: reformat extended description (thanks lintian).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 11 Feb 2016 05:21:54 +0100

r-cran-yaml (2.1.13-3) unstable; urgency=low

  * debian/copyright: add upstream vcs at github and alternative upstream
    homepage at http://biostat.mc.vanderbilt.edu/wiki/Main/YamlR as
    comments.
  * debian/rules: remove convenience copy of libyaml sources before
    building, use system <yaml.h> in r-ext.c and implicit.c, hack
    src/Makevars to explicitly link with system -lyaml: get rid of
    embedded library.
  * debian/rules: add clean target: clean up after our upstream source
    hacking
  * debian/control: add libyaml-dev to build depends, version 0.1.6-3.
    This version is shipped with jessie (current stable) and stretch
    (current testing).  Add explicit versioned libyaml-0.2 (= 0.1.6-3)
    to Depends (next to ${shlibs:Depends} which yields unversioned
    libyaml-0.2 dependency): see YAML_VERSION_STRING in
    src/yaml_private.h.  Upstream LibYAML available from
    http://pyyaml.org/download/libyaml/yaml-0.1.6.tar.gz.
  * debian/control: improve description.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 08 Jan 2016 09:11:52 +0100

r-cran-yaml (2.1.13-2) unstable; urgency=low

  * Initial release. Closes: #808159
  * debian/copyright: completed.
  * debian/rules: deal with upstream LICENSE THANKS CHANGELOG in
    /u/s/d/$package/ .
  * debian/control: add ${misc:Depends} to Depends in order to satisfy
    debhelper, thanks lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 22 Dec 2015 13:35:23 +0100

r-cran-yaml (2.1.13-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 16 Dec 2015 17:31:31 +0100

=== debian/control ===
Source: r-cran-yaml
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~), libyaml-dev (= 0.1.6-3)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/yaml/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-yaml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-yaml.git

Package: r-cran-yaml
Architecture: any
Depends: libyaml-0-2 (= 0.1.6-3), ${shlibs:Depends}, ${R:Depends}, ${misc:Depends}
Description: Methods to convert R data to YAML and back
 This package implements the LibYAML YAML 1.1 parser and emitter for R.  YAML is
 a human-readable markup language. With it, you can create easily readable
 documents that can be consumed by a variety of programming languages, including
 R.  The r-cran-yaml package has two main functions: yaml.load and as.yaml.  The
 yaml.load function is the YAML parsing function: it accepts a YAML document as
 a string and returns R data structures.  The as.yaml function is an S3 method
 used to convert R objects into YAML strings.
 .
 This package is useful for R programmers dealing with YAML documents.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk

## PKG_CFLAGS=$(CFLAGS)
## PKG_CXXFLAGS=$(CXXFLAGS)
## PKG_CPPFLAGS=$(CPPFLAGS)
## PKG_FFLAGS=$(FFLAGS)
## export PKG_CFLAGS PKG_CXXFLAGS PKG_CPPFLAGS PKG_FFLAGS

makeFlags="LDFLAGS=$(LDFLAGS)"

# use for debugging
# extraInstallFlags := --no-clean-on-error
# or manually run
#  MAKEFLAGS="LDFLAGS=-Wl,-z,relro" R CMD INSTALL -l `pwd`/debian/r-cran-yaml/usr/lib/R/site-library --clean --no-clean-on-error .
# and/or
#  cd src && gcc -std=gnu99 -I/usr/share/R/include -I. -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -g  -c implicit.c -o implicit.o
# and/or
#  cd src && gcc -std=gnu99 -shared -L/usr/lib/R/lib -Wl,-z,relro -o yaml.so implicit.o r-ext.o -L/usr/lib/R/lib -lR
#
include /usr/share/R/debian/r-cran.mk

# see also /etc/R/Makeconf and /usr/lib/R/etc/Makeconf
# and https://cran.r-project.org/doc/manuals/r-release/R-exts.html
# and https://cran.r-project.org/doc/manuals/R-admin.html#Customizing-package-compilation
#
# see http://pyyaml.org/wiki/LibYAML for libyaml upstream docs

# upstream r-ext.h has:
#      #include "yaml.h"
#      #include "yaml_private.h"
# should be
#      #include <yaml.h>
#      #include "yaml_private.h"
# since libyaml-dev ships only /usr/include/yaml.h

# our hacking of upstream is noticed during build:
#  * installing *source* package ‘yaml’ ...
#  files ‘src/api.c’, ‘src/dumper.c’, ‘src/emitter.c’, ‘src/loader.c’, ‘src/parser.c’, ‘src/reader.c’, ‘src/scanner.c’, ‘src/writer.c’, ‘src/yaml.h’ are missing
#  files ‘src/Makevars’, ‘src/implicit.c’, ‘src/r-ext.h’ have the wrong MD5 checksums
# FIXME: get rid of these warnings

# we need -lyaml , if this lacks we get:
#      ** testing if installed package can be loaded
#      Error in dyn.load(file, DLLpath = DLLpath, ...) :·
#        unable to load shared object '.../r-cran-yaml-2.1.13/
#        debian/r-cran-yaml/usr/lib/R/site-library/yaml/libs/yaml.so':
#        .../r-cran-yaml-2.1.13/debian/r-cran-yaml/usr/lib/R/
#        site-library/yaml/libs/yaml.so: undefined symbol:
#        yaml_sequence_start_event_initialize
#     Error: loading failed
# during build

# FIXME contact upstream, do stress-test our yaml.so; perhaps we'd better ship a
#  src/Makefile: this could be useable by both us and upstream.
pre-build::
	test -d src,bak || cp -a src src,bak
	rm -vf src/api.c src/dumper.c src/emitter.c src/loader.c src/parser.c src/reader.c src/scanner.c src/writer.c src/yaml.h
	sed -i 's/#include "yaml.h"/#include <yaml.h>/' src/implicit.c
	sed -i 's/#include "yaml.h"/#include <yaml.h>/' src/r-ext.h
	echo 'PKG_LIBS = -lyaml' >> src/Makevars

common-install-arch::
	rm -vf $(debRlib)/$(cranNameOrig)/LICENSE $(debRlib)/$(cranNameOrig)/CHANGELOG $(debRlib)/$(cranNameOrig)/THANKS
	dh_installdocs -p$(package) ./inst/THANKS
	dh_installchangelogs -p$(package) ./inst/CHANGELOG

clean::
	test -d src,bak && rm -vfr src || true
	test -d src,bak && mv src,bak src || true

=== debian/watch ===
#     If upstream distributions provide cryptographic signatures as a
#     means to verify the upstream tarball, please use the
#     pgpsigurlmangle options in this watch file's opts= to generate the
#     URL of an upstream GPG signature. This signature is automatically
#     downloaded and verified against a keyring stored in
#     debian/upstream/signing-key.asc.
# at 2016-01-08, upstream did not supply signatures
# (current: 2.1.13 released 12-Jun-2014)
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/yaml_([-\d\.]*)\.tar.gz

## r-cran-yaml 2.1.14

=== DESCRIPTION ===
Package: yaml
Type: Package
Title: Methods to Convert R Data to YAML and Back
Version: 2.1.14
Suggests: testthat
Date: 2016-11-12
Author: Jeremy Stephens <jeremy.stephens@vanderbilt.edu>
Maintainer: Jeremy Stephens <jeremy.stephens@vanderbilt.edu>
License: BSD_3_clause + file LICENSE
Description: Implements the 'libyaml' 'YAML' 1.1 parser and emitter (<http://pyyaml.org/wiki/LibYAML>) for R.
NeedsCompilation: yes
Packaged: 2016-11-12 15:41:59 UTC; viking
Repository: CRAN
Date/Publication: 2016-11-12 19:55:17

=== debian/changelog ===
r-cran-yaml (2.1.14-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 10:02:19 +0000

r-cran-yaml (2.1.14-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload
  * New upstream version
  * Upstream is patching libyaml resulting in incompatible API thus we
    need to stick to the code copy
  * Canonical CRAN homepage
  * Move some metadata from d/copyright to d/upstream/metadata

  [ Gordon Ball ]
  * Fix autopkgtest (tried to write to a read-only location)

 -- Andreas Tille <tille@debian.org>  Sun, 11 Dec 2016 17:43:20 +0100

r-cran-yaml (2.1.13-5) unstable; urgency=medium

  * Team upload
  * cme fix dpkg-control
  * do not pin to specific libyaml-dev version
    Closes: #837246, #813049
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 15:50:54 +0200

=== debian/control ===
Source: r-cran-yaml
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               dh-r,
               libyaml-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-yaml.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-yaml.git
Homepage: https://cran.r-project.org/package=yaml

Package: r-cran-yaml
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Methods to convert R data to YAML and back
 This package implements the LibYAML YAML 1.1 parser and emitter for R.  YAML is
 a human-readable markup language. With it, you can create easily readable
 documents that can be consumed by a variety of programming languages, including
 R.  The r-cran-yaml package has two main functions: yaml.load and as.yaml.  The
 yaml.load function is the YAML parsing function: it accepts a YAML document as
 a string and returns R data structures.  The as.yaml function is an S3 method
 used to convert R objects into YAML strings.
 .
 This package is useful for R programmers dealing with YAML documents.

=== debian/watch ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #     debian/upstream/signing-key.asc.
 # at 2016-01-08, upstream did not supply signatures
 # (current: 2.1.13 released 12-Jun-2014)
-version=3
-opts="uversionmangle=s/-/\./" \
-	    http://cran.r-project.org/src/contrib/yaml_([-\d\.]*)\.tar.gz
+version=4
+
+#opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" 
+http://cran.r-project.org/src/contrib/yaml_([-\d\.]*)\.tar.gz

## r-cran-yaml 2.1.18

=== debian/changelog ===
r-cran-yaml (2.1.18-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 14 Mar 2018 08:53:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                r-base-dev,
                dh-r,
                libyaml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-yaml.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-yaml.git
 Homepage: https://cran.r-project.org/package=yaml

## r-cran-yaml 2.2.0

=== DESCRIPTION ===
Package: yaml
Type: Package
Title: Methods to Convert R Data to YAML and Back
Date: 2018-07-20
Version: 2.2.0
Suggests: RUnit
Author: Jeremy Stephens [aut, cre], Kirill Simonov [aut], Yihui Xie [ctb],
  Zhuoer Dong [ctb], Hadley Wickham [ctb], Jeffrey Horner [ctb], reikoch [ctb],
  Will Beasley [ctb], Brendan O'Connor [ctb], Gregory R. Warnes [ctb]
Maintainer: Jeremy Stephens <jeremy.f.stephens@vumc.org>
License: BSD_3_clause + file LICENSE
Description: Implements the 'libyaml' 'YAML' 1.1 parser and emitter
  (<http://pyyaml.org/wiki/LibYAML>) for R.
URL: https://github.com/viking/r-yaml/
BugReports: https://github.com/viking/r-yaml/issues
NeedsCompilation: yes
Packaged: 2018-07-24 19:09:41 UTC; stephej1
Repository: CRAN
Date/Publication: 2018-07-25 15:40:03 UTC

=== debian/changelog ===
r-cran-yaml (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jul 2018 08:44:03 +0200

r-cran-yaml (2.1.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 19:14:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: r-cran-yaml
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               r-base-dev,
                dh-r,
-               libyaml-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-yaml.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-yaml.git
+               r-base-dev
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
 Homepage: https://cran.r-project.org/package=yaml
 
 Package: r-cran-yaml
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${R:Depends},
+Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-yaml 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: yaml
 Type: Package
 Title: Methods to Convert R Data to YAML and Back
-Date: 2018-07-20
-Version: 2.2.0
+Date: 2020-01-23
+Version: 2.2.1
 Suggests: RUnit
 Author: Jeremy Stephens [aut, cre], Kirill Simonov [aut], Yihui Xie [ctb],
   Zhuoer Dong [ctb], Hadley Wickham [ctb], Jeffrey Horner [ctb], reikoch [ctb],
@@ -14,6 +14,6 @@
 URL: https://github.com/viking/r-yaml/
 BugReports: https://github.com/viking/r-yaml/issues
 NeedsCompilation: yes
-Packaged: 2018-07-24 19:09:41 UTC; stephej1
+Packaged: 2020-01-30 20:29:56 UTC; stephej1
 Repository: CRAN
-Date/Publication: 2018-07-25 15:40:03 UTC
+Date/Publication: 2020-02-01 05:50:02 UTC

=== debian/changelog ===
r-cran-yaml (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Remove trailing whitespace in debian/copyright
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Feb 2020 07:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
 Homepage: https://cran.r-project.org/package=yaml

## r-cran-yaml 2.3.5

=== DESCRIPTION ===
Package: yaml
Type: Package
Title: Methods to Convert R Data to YAML and Back
Date: 2022-01-24
Version: 2.3.5
Suggests: RUnit
Author: Shawn P Garbett [aut], Jeremy Stephens [aut, cre], Kirill Simonov [aut], Yihui Xie [ctb],
  Zhuoer Dong [ctb], Hadley Wickham [ctb], Jeffrey Horner [ctb], reikoch [ctb],
  Will Beasley [ctb], Brendan O'Connor [ctb], Gregory R. Warnes [ctb],
  Michael Quinn [ctb], Zhian N. Kamvar [ctb]
Maintainer: Shawn Garbett <shawn.garbett@vumc.org>
License: BSD_3_clause + file LICENSE
Description: Implements the 'libyaml' 'YAML' 1.1 parser and emitter
  (<https://pyyaml.org/wiki/LibYAML>) for R.
URL: https://github.com/vubiostat/r-yaml/
BugReports: https://github.com/vubiostat/r-yaml/issues
NeedsCompilation: yes
Packaged: 2022-02-19 02:41:00 UTC; garbetsp
Repository: CRAN
Date/Publication: 2022-02-21 09:20:02 UTC

=== debian/changelog ===
r-cran-yaml (2.3.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.3.5

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 02:02:19 +0530

r-cran-yaml (2.2.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Team Upload.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * New upstream version 2.2.2
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Update lintian override

 -- Nilesh Patra <nilesh@debian.org>  Thu, 27 Jan 2022 00:18:43 +0530

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
 Homepage: https://cran.r-project.org/package=yaml

## r-cran-yaml 2.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: yaml
 Type: Package
 Title: Methods to Convert R Data to YAML and Back
-Date: 2022-01-24
-Version: 2.3.5
+Date: 2023-01-18
+Version: 2.3.7
 Suggests: RUnit
 Author: Shawn P Garbett [aut], Jeremy Stephens [aut, cre], Kirill Simonov [aut], Yihui Xie [ctb],
   Zhuoer Dong [ctb], Hadley Wickham [ctb], Jeffrey Horner [ctb], reikoch [ctb],
@@ -15,6 +15,6 @@
 URL: https://github.com/vubiostat/r-yaml/
 BugReports: https://github.com/vubiostat/r-yaml/issues
 NeedsCompilation: yes
-Packaged: 2022-02-19 02:41:00 UTC; garbetsp
+Packaged: 2023-01-18 17:20:16 UTC; garbetsp
 Repository: CRAN
-Date/Publication: 2022-02-21 09:20:02 UTC
+Date/Publication: 2023-01-23 18:40:02 UTC

=== debian/changelog ===
r-cran-yaml (2.3.7-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.3.7
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 Jan 2023 18:53:10 +0530

r-cran-yaml (2.3.6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.3.6
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Oct 2022 19:26:30 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
 Homepage: https://cran.r-project.org/package=yaml

## r-cran-yaml 2.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: yaml
 Type: Package
 Title: Methods to Convert R Data to YAML and Back
-Date: 2023-01-18
-Version: 2.3.7
+Date: 2023-11-28
+Version: 2.3.8
 Suggests: RUnit
 Author: Shawn P Garbett [aut], Jeremy Stephens [aut, cre], Kirill Simonov [aut], Yihui Xie [ctb],
   Zhuoer Dong [ctb], Hadley Wickham [ctb], Jeffrey Horner [ctb], reikoch [ctb],
@@ -15,6 +15,6 @@
 URL: https://github.com/vubiostat/r-yaml/
 BugReports: https://github.com/vubiostat/r-yaml/issues
 NeedsCompilation: yes
-Packaged: 2023-01-18 17:20:16 UTC; garbetsp
+Packaged: 2023-12-11 16:46:09 UTC; garbetsp
 Repository: CRAN
-Date/Publication: 2023-01-23 18:40:02 UTC
+Date/Publication: 2023-12-11 18:50:02 UTC

=== debian/changelog ===
r-cran-yaml (2.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Normalise d/t/run-unit-test
  * Update lintian-overrides

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 11:50:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-yaml
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
+Homepage: https://cran.r-project.org/package=yaml
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
-Homepage: https://cran.r-project.org/package=yaml
 
 Package: r-cran-yaml
 Architecture: any

## r-cran-yaml 2.3.10

=== DESCRIPTION ===
Package: yaml
Type: Package
Title: Methods to Convert R Data to YAML and Back
Date: 2024-07-22
Version: 2.3.10
Suggests: RUnit
Author: Shawn P Garbett [aut], Jeremy Stephens [aut, cre], Kirill Simonov [aut], Yihui Xie [ctb],
  Zhuoer Dong [ctb], Hadley Wickham [ctb], Jeffrey Horner [ctb], reikoch [ctb],
  Will Beasley [ctb], Brendan O'Connor [ctb], Gregory R. Warnes [ctb],
  Michael Quinn [ctb], Zhian N. Kamvar [ctb], Charlie Gao [ctb]
Maintainer: Shawn Garbett <shawn.garbett@vumc.org>
License: BSD_3_clause + file LICENSE
Description: Implements the 'libyaml' 'YAML' 1.1 parser and emitter
  (<https://pyyaml.org/wiki/LibYAML>) for R.
URL: https://github.com/vubiostat/r-yaml/
BugReports: https://github.com/vubiostat/r-yaml/issues
NeedsCompilation: yes
Packaged: 2024-07-22 15:44:18 UTC; garbetsp
Repository: CRAN
Date/Publication: 2024-07-26 15:10:02 UTC

=== debian/changelog ===
r-cran-yaml (2.3.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 08:51:06 +0900

r-cran-yaml (2.3.8-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: remove Uploaders (only my name was listed)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 14:01:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: r-cran-yaml
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yaml
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yaml.git
 Homepage: https://cran.r-project.org/package=yaml
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-yaml
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# use for debugging
# extraInstallFlags := --no-clean-on-error
# or manually run
#  MAKEFLAGS="LDFLAGS=-Wl,-z,relro" R CMD INSTALL -l `pwd`/debian/r-cran-yaml/usr/lib/R/site-library --clean --no-clean-on-error .
# and/or
#  cd src && gcc -std=gnu99 -I/usr/share/R/include -I. -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -g  -c implicit.c -o implicit.o
# and/or
#  cd src && gcc -std=gnu99 -shared -L/usr/lib/R/lib -Wl,-z,relro -o yaml.so implicit.o r-ext.o -L/usr/lib/R/lib -lR
#
# see also /etc/R/Makeconf and /usr/lib/R/etc/Makeconf
# and https://cran.r-project.org/doc/manuals/r-release/R-exts.html
# and https://cran.r-project.org/doc/manuals/R-admin.html#Customizing-package-compilation
#
# see http://pyyaml.org/wiki/LibYAML for libyaml upstream docs

# our hacking of upstream is noticed during build:
#  * installing *source* package ‘yaml’ ...
#  files ‘src/api.c’, ‘src/dumper.c’, ‘src/emitter.c’, ‘src/loader.c’, ‘src/parser.c’, ‘src/reader.c’, ‘src/scanner.c’, ‘src/writer.c’, ‘src/yaml.h’ are missing
#  files ‘src/Makevars’, ‘src/implicit.c’, ‘src/r-ext.h’ have the wrong MD5 checksums
# FIXME: get rid of these warnings

# we need -lyaml , if this lacks we get:
#      ** testing if installed package can be loaded
#      Error in dyn.load(file, DLLpath = DLLpath, ...) :·
#        unable to load shared object '.../r-cran-yaml-2.1.13/
#        debian/r-cran-yaml/usr/lib/R/site-library/yaml/libs/yaml.so':
#        .../r-cran-yaml-2.1.13/debian/r-cran-yaml/usr/lib/R/
#        site-library/yaml/libs/yaml.so: undefined symbol:
#        yaml_sequence_start_event_initialize
#     Error: loading failed
# during build

# FIXME contact upstream, do stress-test our yaml.so; perhaps we'd better ship a
#  src/Makefile: this could be useable by both us and upstream.

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -o -name CHANGELOG -o -name THANKS | xargs -r rm -f

override_dh_installchangelogs:
	dh_installchangelogs ./inst/CHANGELOG

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-runit
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -9,4 +9,4 @@
 version=4
 
 #opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" 
-http://cran.r-project.org/src/contrib/yaml_([-\d\.]*)\.tar.gz
+https://cran.r-project.org/src/contrib/yaml_([-\d\.]*)\.tar.gz
